Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083736 - PRD35 - [RFE][AAA] engine should have a generic LDAP provider
Summary: PRD35 - [RFE][AAA] engine should have a generic LDAP provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alon Bar-Lev
QA Contact: Ondra Machacek
URL:
Whiteboard: infra
Depends On: oVirt-AAA-LDAP
Blocks: 1124081 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-02 20:38 UTC by Barak
Modified: 2016-02-10 19:27 UTC (History)
11 users (show)

Fixed In Version: vt1.3
Doc Type: Enhancement
Doc Text:
see bug#oVirt-AAA-LDAP
Clone Of:
Environment:
Last Closed: 2015-02-11 18:12:41 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0174 normal SHIPPED_LIVE new package: ovirt-engine-extension-aaa-ldap 2015-02-11 22:40:02 UTC

Description Barak 2014-04-02 20:38:02 UTC
Description of problem:

Following BZ1032682 -
We should include a generic LDAP directory provider replacing the current ldap provider.
For this provider should be able to:
- configure the queries and the returned attribute via a configuration file, in order to support adding future ldap vendors via configuration, and not via code.
- to be able to build such a provider externally (outside of the engine code)
- such a generic provider should come with configuration templates for all 
  currently supported legacy providers (AD, IPA, RHDS, openLDAP ...)

Comment 1 Ondra Machacek 2014-05-19 09:57:05 UTC
is there any documentation/feature_page how to configure own ldap provider?

Comment 2 Yair Zaslavsky 2014-05-19 10:06:01 UTC
(In reply to Ondra Machacek from comment #1)
> is there any documentation/feature_page how to configure own ldap provider?

Hi Ondra,
Still in progress,
Some of the information can be found here -

http://www.ovirt.org/Features/AAA_3.5

Comment 3 Alon Bar-Lev 2014-06-11 13:59:45 UTC
Marking as post as we have prototype ready.

Comment 5 Ondra Machacek 2014-09-03 21:00:33 UTC
In general works, minor issues are opened separately.

Comment 8 errata-xmlrpc 2015-02-11 18:12:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0174.html


Note You need to log in before you can comment on or make changes to this bug.